<%@ Page Inherits="Dvbbs.bbs.UI.Admin.admin_user_alter" %>
<%@ Register tagPrefix="Dvbbs" namespace="Dvbbs.Controls" assembly="Dvbbs.Web"%>
<%@ Register tagPrefix="bbs" tagName="AdminHeader" src="controls/admin_header.ascx"%>
<%@ Register tagPrefix="bbs" tagName="AdminFooter" src="controls/admin_footer.ascx"%>
<bbs:AdminHeader title="修改注册会员资料" runat="server" />
<script language="javascript">
function len(str)
{
	var fixedLength = 0;
	for(i=0; i<str.length; i++)
	{
		charCode = str.charCodeAt(i);
		if (charCode < 1000)
		{
			fixedLength += 1;
		}
		else
		{
			fixedLength += 2;
		}
	}
	return fixedLength;
}
function chkPost()
{
	var f = document.forms[0];
	if (isNaN(f.experience.value))
	{
		alert('论坛积分数必须是数字');
		f.experience.focus();
		return false;
	}
	else if (isNaN(f.lockdays.value))
	{
		alert('锁定天数必须是数字');
		f.lockdays.focus();
		return false;
	}
	else if (isNaN(f.todayuploads.value))
	{
		alert('今日已上传附件数必须是数字');
		f.todayuploads.focus();
		return false;
	}
	else if (len(f.rank.value) > 12)
	{
		alert('头衔的长度必须在6个汉字或12个字母以内');
		f.rank.focus();
		return false;
	}
	else if (f.signature.value.length > 250)
	{
		alert('签名长度必须在250字以内');
		f.signature.focus();
		return false;
	}
	else if (isNaN(f.facewidth.value) || isNaN(f.faceheight.value))
	{
		alert('头像宽，高只能是数字');
		f.facewidth.focus();
		return false;
	}
	else if (parseInt(f.facewidth.value,10)<20 || parseInt(f.facewidth.value,10)>140 || parseInt(f.faceheight.value,10)<20 || parseInt(f.faceheight.value,10)>160)
	{
		alert('你填写的头像宽或高超过限制');
		f.facewidth.focus();
		return false;
	}
	else
	{
		return true;
	}
}
</script>
<form runat="server">
	<table width="100%" class="maintable" cellpadding="0" cellspacing="1" border="0">
		<tr>
			<td colspan="4" class="title">修改论坛会员</td>
		</tr>
		<tr>
			<td width="30%" class="left">注 册 名<br />
				<span>*如要更改管理员身份，请选用针对管理员的管理选项</span></td>
			<td width="70%" class="right" colspan="2">
				<Dvbbs:Anchor id="name" target="_blank" runat="server" />
				<!--<Dvbbs:Anchor id="addmedal" text="授予勋章" href="admin_medal_add.aspx?name=$username" runat="server" />
				<Dvbbs:Anchor id="medallist" text="已经授予勋章列表" href="admin_usermedal_list.aspx?name=$username" runat="server" />-->
			</td>
		</tr>
	</table>
	<br />
	<table width="100%" class="maintable" cellpadding="0" cellspacing="1" border="0" ID="Table1">
		<tr>
			<td colspan="2" class="title">注册信息</td>
		</tr>
		<tr>
			<td width="30%" class="left">密 码</td>
			<td width="70%" class="right">
				<asp:TextBox id="password" onFocus="IEvent('focus',this);" onBlur="IEvent('blur',this)" onMouseOver="IEvent('mouseover',this)"
					onMouseOut="IEvent('mouseout',this)" textmode="password" maxlength="12" runat="server" />
				<br />
				<span>不修改请留白</span>
			</td>
		</tr>
		<tr>
			<td class="left">真实姓名</td>
			<td class="right"><asp:TextBox id="truename" onFocus="IEvent('focus',this);" onBlur="IEvent('blur',this)" onMouseOver="IEvent('mouseover',this)"
					onMouseOut="IEvent('mouseout',this)" maxlength="36" runat="server" /></td>
		</tr>
		<tr>
			<td class="left">性 别</td>
			<td class="right"><asp:DropDownList id="sex" runat="server">
					<asp:ListItem value="0">男</asp:ListItem>
					<asp:ListItem value="1">女</asp:ListItem>
				</asp:DropDownList></td>
		</tr>
		<tr>
			<td class="left">头 衔</td>
			<td class="right"><asp:TextBox id="rank" maxlength="12" onFocus="IEvent('focus',this);" onBlur="IEvent('blur',this)"
					onMouseOver="IEvent('mouseover',this)" onMouseOut="IEvent('mouseout',this)" runat="server" /></td>
		</tr>
		<tr>
			<td class="left">电子信箱</td>
			<td class="right"><asp:TextBox id="email" onFocus="IEvent('focus',this);" onBlur="IEvent('blur',this)" onMouseOver="IEvent('mouseover',this)"
					onMouseOut="IEvent('mouseout',this)" maxlength="36" runat="server" /></td>
		</tr>
		<tr>
			<td class="left"">个人主页</td>
			<td class="right"><asp:TextBox id="homepage" onFocus="IEvent('focus',this);" onBlur="IEvent('blur',this)" onMouseOver="IEvent('mouseover',this)"
					onMouseOut="IEvent('mouseout',this)" maxlength="80" runat="server" /></td>
		</tr>
		<tr>
			<td class="left">M S N</td>
			<td class="right"><asp:TextBox id="msn" onFocus="IEvent('focus',this);" onBlur="IEvent('blur',this)" onMouseOver="IEvent('mouseover',this)"
					onMouseOut="IEvent('mouseout',this)" maxlength="36" runat="server" /></td>
		</tr>
		<tr>
			<td class="left">QQ 号码</td>
			<td class="right"><asp:TextBox id="qq" onFocus="IEvent('focus',this);" onBlur="IEvent('blur',this)" onMouseOver="IEvent('mouseover',this)"
					onMouseOut="IEvent('mouseout',this)" maxlength="10" runat="server" /></td>
		</tr>
		<tr>
			<td class="left">联系电话</td>
			<td class="right"><asp:TextBox id="telephone" onFocus="IEvent('focus',this);" onBlur="IEvent('blur',this)" onMouseOver="IEvent('mouseover',this)"
					onMouseOut="IEvent('mouseout',this)" maxlength="13" runat="server" /></td>
		</tr>
		<tr>
			<td class="left">手机号码</td>
			<td class="right"><asp:TextBox id="mobile" onFocus="IEvent('focus',this);" onBlur="IEvent('blur',this)" onMouseOver="IEvent('mouseover',this)"
					onMouseOut="IEvent('mouseout',this)" maxlength="11" runat="server" /></td>
		</tr>
		<tr>
			<td class="left">地 址</td>
			<td class="right"><asp:TextBox id="address" onFocus="IEvent('focus',this);" onBlur="IEvent('blur',this)" onMouseOver="IEvent('mouseover',this)"
					onMouseOut="IEvent('mouseout',this)" maxlength="24" runat="server" /></td>
		</tr>
		<tr>
			<td class="left">个人头像</td>
			<td class="right"><asp:TextBox id="face" maxlength="90" onFocus="IEvent('focus',this);" onBlur="IEvent('blur',this)"
					onMouseOver="IEvent('mouseover',this)" onMouseOut="IEvent('mouseout',this)" runat="server" /></td>
		</tr>
		<tr>
			<td class="left">头像大小</td>
			<td class="right">宽
				<asp:TextBox id="facewidth" maxlength="3" onFocus="IEvent('focus',this);" onBlur="IEvent('blur',this)"
					onMouseOver="IEvent('mouseover',this)" onMouseOut="IEvent('mouseout',this)" width="50px"
					runat="server" />
				<span style="font-family:tahoma;font-size:11px">20-140</span><br />
				高
				<asp:TextBox id="faceheight" maxlength="3" onFocus="IEvent('focus',this);" onBlur="IEvent('blur',this)"
					onMouseOver="IEvent('mouseover',this)" onMouseOut="IEvent('mouseout',this)" width="50px"
					runat="server" />
				<span style="font-family:tahoma;font-size:11px">20-160</span></td>
		</tr>
		<tr>
			<td class="left" valign="top">个性签名</td>
			<td class="right"><asp:TextBox id="signature" runat="server" textmode="multiline" rows="7" Height="80px" Width="400px"
					onFocus="IEvent('focus',this);" onBlur="IEvent('blur',this)" onMouseOver="IEvent('mouseover',this)" onMouseOut="IEvent('mouseout',this)" /></td>
		</tr>
	</table>
	<br />
	<table width="100%" class="maintable" cellpadding="0" cellspacing="1" border="0" ID="Table1">
		<tr>
			<td colspan="2" class="title">状态信息</td>
		</tr>
		<tr>
			<td width="30%" class="left">论坛身份</td>
			<td width="70%" class="right"><asp:DropDownList id="power" style="width:45%" runat="server" /></td>
		</tr>
		<tr>
			<td class="left">新注册激活</td>
			<td class="right"><asp:DropDownList id="isactivated" style="width:45%" runat="server">
					<asp:ListItem value="0">等待激活</asp:ListItem>
					<asp:ListItem value="1" selected="true">已激活</asp:ListItem>
				</asp:DropDownList>
				<br />
				<span>未激活则无法登录</span>
			</td>
		</tr>
		<tr>
			<td class="left">积分数</td>
			<td class="right"><asp:TextBox id="experience" onFocus="IEvent('focus',this);" onBlur="IEvent('blur',this)" onMouseOver="IEvent('mouseover',this)"
					onMouseOut="IEvent('mouseout',this)" maxlength="6" runat="server" /></td>
		</tr>
		<tr>
			<td class="left">社区币</td>
			<td class="right"><asp:TextBox id="money" onFocus="IEvent('focus',this);" onBlur="IEvent('blur',this)" onMouseOver="IEvent('mouseover',this)"
					onMouseOut="IEvent('mouseout',this)" maxlength="6" runat="server" /></td>
		</tr>
		<tr>
			<td class="left">今日起被锁天数</td>
			<td class="right">
				<asp:TextBox id="lockdays" onFocus="IEvent('focus',this);" onBlur="IEvent('blur',this)" onMouseOver="IEvent('mouseover',this)"
					onMouseOut="IEvent('mouseout',this)" maxlength="4" runat="server" />
				<br />
				<span>到期自动解除, 0=未锁</span>
			</td>
		</tr>
		<tr>
			<td class="left">是否隐身</td>
			<td class="right"><asp:DropDownList id="ishide" style="width:45%" runat="server">
					<asp:ListItem value="0">否</asp:ListItem>
					<asp:ListItem value="1">是</asp:ListItem>
				</asp:DropDownList></td>
		</tr>
		<tr>
			<td class="left">今日已传附件</td>
			<td class="right"><asp:TextBox id="todayuploads" onFocus="IEvent('focus',this);" onBlur="IEvent('blur',this)" onMouseOver="IEvent('mouseover',this)"
					onMouseOut="IEvent('mouseout',this)" maxlength="2" runat="server" />
				KB</td>
		</tr>
		<tr>
			<td class="left">最后登录</td>
			<td class="right"><Dvbbs:Span id="lasttime" runat="server" /></td>
		</tr>
		<tr>
			<td class="left">最后来访IP</td>
			<td class="right"><Dvbbs:Span id="lastip" runat="server" /></td>
		</tr>
		<tr>
			<td class="left">发帖数</td>
			<td class="right"><Dvbbs:Span id="posts" runat="server" />
				次</td>
		</tr>
		<tr>
			<td class="left">被删帖数</td>
			<td class="right"><Dvbbs:Span id="deletes" runat="server" />
				次</td>
		</tr>
		<tr>
			<td class="left">登录次数</td>
			<td class="right"><Dvbbs:Span id="logins" runat="server" />
				次</td>
		</tr>
		<tr>
			<td class="left">加入时间</td>
			<td class="right"><Dvbbs:Span id="jointime" runat="server" /></td>
		</tr>
		<tr>
			<td class="left">注册时IP</td>
			<td class="right"><Dvbbs:Span id="firstip" runat="server" /></td>
		</tr>
		<tr>
			<td class="left">强制下线</td>
			<td class="right"><Dvbbs:Anchor id="offline" text="点击这里强行迫使其下线" runat="server" /></td>
		</tr>
		<tr>
			<td class="left">锁定IP</td>
			<td class="right"><Dvbbs:Anchor id="refuseip" text="现在去锁定其IP" runat="server" /></td>
		</tr>
	</table>
	<br />
	<table width="100%" class="maintable" cellpadding="0" cellspacing="1" border="0" ID="Table1">
		<tr>
			<td colspan="2" align="center" height="50"><Dvbbs:Span id="buttons" runat="server">
<input type="submit" id="alter" onFocus="IEvent('focus',this)" onBlur="IEvent('blur',this)"
						onMouseOver="IEvent('mouseover',this)" onMouseOut="IEvent('mouseout',this)"
						class="button" value="修 改" />
&nbsp;
<input type="reset" class="button" onFocus="IEvent('focus',this)" onBlur="IEvent('blur',this)"
						onMouseOver="IEvent('mouseover',this)" onMouseOut="IEvent('mouseout',this)"
						value="重 置" onclick="return confirm('确定要重置表单初始值吗?')" />
</Dvbbs:Span></td>
		</tr>
	</table>
</form>
<bbs:AdminFooter runat="server" />
